## merkleeyes 0.0~git20170130.0.549dd01

=== Makefile ===
.PHONY: all test get_deps

all: test install

NOVENDOR = go list github.com/tendermint/merkleeyes/... | grep -v /vendor/

install: 
	go install github.com/tendermint/merkleeyes/cmd/...

test:
	go test --race `${NOVENDOR}`

get_deps:
	go get -d github.com/tendermint/merkleeyes/...

get_vendor_deps:
	go get github.com/Masterminds/glide
	glide install

=== debian/changelog ===
merkleeyes (0.0~git20170130.0.549dd01-1) unstable; urgency=medium

  * Initial release (Closes: #852937)

 -- Alessio Treglia <alessio@debian.org>  Tue, 31 Jan 2017 20:36:19 +0000

=== debian/control ===
Source: merkleeyes
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: abci (>= 0.0~git20170124.0.f94ae5e-2~),
               debhelper (>= 9),
               dh-golang,
               golang-github-stretchr-testify-dev,
               golang-github-tendermint-go-common-dev,
               golang-github-tendermint-go-merkle-dev,
               golang-github-tendermint-go-wire-dev,
               golang-github-urfave-cli-dev,
               golang-go
Standards-Version: 3.9.8
Homepage: https://github.com/tendermint/merkleeyes
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/merkleeyes.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/merkleeyes.git
XS-Go-Import-Path: github.com/tendermint/merkleeyes

Package: merkleeyes
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: ABCI application serving a merkle-tree data store
 Simple ABCI application serving a merkle-tree key-value store.
 Merkleeyes allows inserts and removes by key, and queries by key
 or index. Inserts and removes happen through the DeliverTx message,
 while queries happen through the Query message. CheckTx simply
 mirrors DeliverTx.
 .
 ABCI is Tendermint's Serverside Blockchain API, whilst Tendermint
 Core is Byzantine Fault Tolerant (BFT) middleware that takes a
 state transition machine, written in any programming language, and
 replicates it on manymachines.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

get-orig-source:
	debian/get-git-source.sh
